#pragma once

#include <VE.hpp>

namespace example
{
  class ui_layer : public VE::layer, public VE::flags, public VE::connector
  {
    VE_OVERIDE();
    VE_EVENT_OVERIDE();

    ImVec2 m_size = ImVec2{ 1200.f, 400.f };
    ImVec2 m_pos = ImVec2{ 1200.f, 400.f };
    std::string m_key;
  };
}

